diff --git a/.gitignore b/.gitignore
index 341b498..7c2ba45 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,3 +1,5 @@
+results_*
+*.rpm
/angband-4.2.3-norestricted.tar.gz
-/angband.png
/angband-4.2.4-norestricted.tar.gz
+/angband-4.2.5-norestricted.tar.gz
diff --git a/angband-4.2.5-1-desktop_fix.patch b/angband-4.2.5-1-desktop_fix.patch
new file mode 100644
index 0000000..1491e2a
--- /dev/null
+++ b/angband-4.2.5-1-desktop_fix.patch
@@ -0,0 +1,12 @@
+diff -ruN angband-4.2.5-orig/lib/icons/angband-sdl2.desktop angband-4.2.5/lib/icons/angband-sdl2.desktop
+--- angband-4.2.5-orig/lib/icons/angband-sdl2.desktop 2023-09-07 15:07:36.000000000 -0300
++++ angband-4.2.5/lib/icons/angband-sdl2.desktop 2023-09-07 16:55:05.425130296 -0300
+@@ -2,7 +2,7 @@
+ Name=Angband (SDL2)
+ Type=Application
+ Comment=A roguelike dungeon exploration game based on the books of J.R.R.Tolkien
+-Exec=sh -c "if [ \\$XDG_SESSION_TYPE == \"wayland\" ]; then env SDL_VIDEODRIVER=wayland angband -msdl2; else angband -msdl2; fi"
++Exec=angband-sdl
+ TryExec=angband
+ Icon=angband
+ Categories=Game;RolePlaying;
diff --git a/angband-sdl b/angband-sdl
new file mode 100644
index 0000000..e1e6196
--- /dev/null
+++ b/angband-sdl
@@ -0,0 +1,23 @@
+#!/usr/bin/bash
+
+RUN_SDL=1
+
+MESSAGE="\
+Angband (SDL) doesn't work on Gnome Desktop because GTK+ refuses to initialize on excecutables that require the setgid feature.\n\n\
+Run Angband (X11) instead?"
+
+
+if [[ "$DESKTOP_SESSION" == "gnome" ]]; then
+ zenity \
+ --title="Warning" \
+ --icon="dialog-warning" \
+ --question \
+ --text "$MESSAGE"
+ RUN_SDL=$?
+fi
+
+if [[ "$RUN_SDL" == "0" ]]; then
+ angband -mx11
+else
+ angband -msdl2
+fi
\ No newline at end of file
diff --git a/angband.desktop b/angband.desktop
deleted file mode 100644
index 0e33193..0000000
--- a/angband.desktop
+++ /dev/null
@@ -1,8 +0,0 @@
-[Desktop Entry]
-Name=Angband (SDL2)
-Type=Application
-Comment=A roguelike dungeon exploration game based on the books of J.R.R.Tolkien
-Exec=sh -c "if [ \\$XDG_SESSION_TYPE == \"wayland\" ]; then env SDL_VIDEODRIVER=wayland angband -msdl2; else angband -msdl2; fi"
-TryExec=angband
-Icon=angband
-Categories=Game;RolePlaying;
diff --git a/angband.metainfo.xml b/angband.metainfo.xml
deleted file mode 100644
index aeedd32..0000000
--- a/angband.metainfo.xml
+++ /dev/null
@@ -1,34 +0,0 @@
-
-
- angband
- angband.desktop
- Angband
- CC0-1.0
- GPL-2.0
- Angband is a free, single-player dungeon exploration game.
-
-
- A roguelike game where you explore a very deep
- dungeon, kill monsters, try to equip yourself with
- the best weapons and armor you can find, and finally
- face Morgoth - "The Dark Enemy".
-